|  | Home · All Classes · Modules

# QWebPluginFactory.MimeType Class Reference
[QtWebKit module]

The QWebPluginFactory.MimeType structure describes a mime type supported by a plugin. More...

### Methods

- __init__ (self)
- __init__ (self, MimeType other)

### Members

- QString description
- QStringList fileExtensions
- QString name

## Detailed Description

The QWebPluginFactory.MimeType structure describes a mime type supported by a plugin.

## Method Documentation

### MimeType.__init__ (self)

### MimeType.__init__ (self, MimeType other)

## Member Documentation

### QString description

The description of the mime type.

### QStringList fileExtensions

The list of file extensions that are used by this mime type.

For example, a mime type for PDF documents would return "pdf" as its file extension.

### QString name

The full name of the MIME type; e.g., `text/plain` or `image/png`.